<template lang="pug">
  div.column.items-center.full-width.q-pa-xl
    span.text-h3.text-center.q-pb-xl.width-80 Tarefas do dia
    div.column.width-90.bg-blue.q-pa-lg
      span.text-h4.text-center.color-white.text-weight-bold {{ diaDaSemana }}
      div(v-for="tarefa, index in tarefas").row.justify-between.items-center
        span.text-body1.color-white {{ tarefa.name }}
        q-btn(v-if="!tarefa.done" color="white" text-color="black" glossy label="Atividade Feita" @click="atividadeFeita(index)").q-my-xl
        q-icon(v-else name="check_circle" size='xl' color="white")
</template>

<script>
import { mapGetters } from 'vuex'
import * as firebase from 'firebase'

export default {
  name: 'Home',
  components: {
  },
  data () {
    return {
    }
  },
  computed: {
    ...mapGetters( 'user', [
      'user'
    ]),
    diaDaSemana () {
      var d = new Date()
      var semana = ["Domingo", "Segunda-Feira", "Terça-Feira", "Quarta-Feira", "Quinta-Feira", "Sexta-Feira", "Sábado"]
      return semana[d.getDay()]
    },
    informacoes () {
      return (this.user.data || {}).geralInformation || {}
    },
    tarefas () {
      return this.informacoes.atividadesDia || []
    }
  },
  methods: {
    atividadeFeita (index) {
      this.tarefas[index].done = true
      
      const db = firebase.firestore()
      db.collection("User")
        .doc(this.user.data.id)
        .update({ 
          atividadesDia: this.tarefas
        })

    }
  }
}
</script>

<style lang="stylus" scoped>
.bg-blue
  background-color accent
.color-white
  color white
.width-90
  width 90%
</style>